Skip to main content
https://.thoughtindustries.com

Update Expirations

Creates or updates expiration dates for a user's courses, learning paths, and licenses

Creates or updates expiration dates for a user's courses, learning paths, and licenses.

POSThttps://example.thoughtindustries.com/incoming/v2/users/:id/expirations

Example request

curl -X POST "https://example.thoughtindustries.com/incoming/v2/users/:id/expirations" \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "userId": "00000000-0000-0000-0000-000000000000",
  "courseIds": "00000000-0000-0000-0000-000000000000",
  "learningPathIds": "00000000-0000-0000-0000-000000000000",
  "licenseIds": "00000000-0000-0000-0000-000000000000"
}'

Parameters

NameTypeRequiredLocationDescription
idstringYespathThe id identifier.
userIduuidYesbodyThe UUID of the user whose expirations are being updated.
courseIdsuuid[]YesbodyOne or more UUIDs identifying the courses to apply the expiration date to.
learningPathIdsuuid[]YesbodyOne or more UUIDs identifying the learning paths to apply the expiration date to.
licenseIdsuuid[]YesbodyOne or more UUIDs identifying the licenses to apply the expiration date to.
expirationDateISO 8601 timestampYesbodyThe expiration date and time to set, formatted as an ISO 8601 timestamp.

Example response

{
  "data": {
    "APIUpdateExpirations": {
      "updatedRecordCount": 0,
      "errors": [
        "string"
      ]
    }
  }
}

Response fields

FieldTypeDescription
updatedRecordCountintegerThe number of expiration records successfully updated.
errorsstring[]A list of error messages describing any records that failed to update.